Package: org.apache.groovy.groovysh.completion

## [Groovy] Enum GroovySyntaxCompleter.CompletionCase

- org.apache.groovy.groovysh.completion.GroovySyntaxCompleter.CompletionCase

-     static final enum GroovySyntaxCompleter.CompletionCase
      extends Enum<E<E>>

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static GroovySyntaxCompleter.CompletionCase` | `DOT_LAST` |
    `static GroovySyntaxCompleter.CompletionCase` | `INSTANCEOF` |
    `static GroovySyntaxCompleter.CompletionCase` | `MAX_VALUE` |
    `static GroovySyntaxCompleter.CompletionCase` | `MIN_VALUE` |
    `static GroovySyntaxCompleter.CompletionCase` | `NO_COMPLETION` |
    `static GroovySyntaxCompleter.CompletionCase` | `NO_DOT_PREFIX` |
    `static GroovySyntaxCompleter.CompletionCase` | `PREFIX_AFTER_DOT` |
    `static GroovySyntaxCompleter.CompletionCase` | `PREFIX_AFTER_SPREAD_DOT` |
    `static GroovySyntaxCompleter.CompletionCase` | `SECOND_IDENT` |
    `static GroovySyntaxCompleter.CompletionCase` | `SPREAD_DOT_LAST` |

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `GroovySyntaxCompleter.CompletionCase` | `next()`
    `` | `GroovySyntaxCompleter.CompletionCase` | `previous()`
    `` | `static GroovySyntaxCompleter.CompletionCase` | `valueOf(String name)`
    `` | `static final GroovySyntaxCompleter.CompletionCase[]` | `values()`

- - ### Field Detail

    - #### public static final GroovySyntaxCompleter.CompletionCase DOT_LAST

    - #### public static final GroovySyntaxCompleter.CompletionCase INSTANCEOF

    - #### public static final GroovySyntaxCompleter.CompletionCase MAX_VALUE

    - #### public static final GroovySyntaxCompleter.CompletionCase MIN_VALUE

    - #### public static final GroovySyntaxCompleter.CompletionCase NO_COMPLETION

    - #### public static final GroovySyntaxCompleter.CompletionCase NO_DOT_PREFIX

    - #### public static final GroovySyntaxCompleter.CompletionCase PREFIX_AFTER_DOT

    - #### public static final GroovySyntaxCompleter.CompletionCase PREFIX_AFTER_SPREAD_DOT

    - #### public static final GroovySyntaxCompleter.CompletionCase SECOND_IDENT

    - #### public static final GroovySyntaxCompleter.CompletionCase SPREAD_DOT_LAST

  - ### Method Detail

    - #### @Generated GroovySyntaxCompleter.CompletionCase next()

    - #### @Generated GroovySyntaxCompleter.CompletionCase previous()

    - #### @Generated static GroovySyntaxCompleter.CompletionCase valueOf(String name)

    - #### @Generated static final GroovySyntaxCompleter.CompletionCase[] values()